package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProOrgDAO;
import com.philisense.www.mapper.ProOrgMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Repository
public class ProOrgDAOImpl implements ProOrgDAO {
    @Autowired
    private ProOrgMapper proOrgMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return proOrgMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proOrgMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proOrgMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proOrgMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proOrgMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proOrgMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proOrgMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proOrgMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proOrgMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proOrgMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proOrgMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proOrgMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proOrgMapper.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getProOrgTreeByParentid(Map<String, Object> map) {
        return proOrgMapper.getProOrgTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProOrgTreeByLevelCode(Map<String, Object> map) {
        return proOrgMapper.getProOrgTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getPageProOrgByOrgCode(Map<String, Object> map) {
        return proOrgMapper.getPageProOrgByOrgCode(map);
    }

    @Override
    public int getCountProOrgByOrgCode(Map<String, Object> map) {
        return proOrgMapper.getCountProOrgByOrgCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proOrgMapper.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        proOrgMapper.updateBatchLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getAllOrg(Map<String, Object> map) {
        return proOrgMapper.getAllOrg(map);
    }
}
